## gnupoc-package-1.08.tar.gz

=== tools/elf2e32/Makefile ===
CXXFLAGS += -Wall -pedantic -ggdb -Wno-long-long -Ideflate/deflate -Ideflate/inc
LDFLAGS += -lelf -lz

all: elf2e32 bindiff

elf2e32: elf2e32.o crc.o deflate/deflate.a
	$(CXX) -o $@ $+ $(LDFLAGS)

deflate/deflate.a:
	$(MAKE) -C deflate deflate.a

bindiff: bindiff.o
	$(CXX) -o $@ $+

clean:
	$(MAKE) -C deflate clean
	rm -f elf2e32 bindiff *.o
