=== tools/rcomp-7.0.1/Makefile ===
#
# Makefile
#
all clean install uninstall:
	$(MAKE) $@ -sC src

regtest:
	$(MAKE) all -sC src
	$(MAKE) regtest -sC tsrc
