=== tools/rcomp-7.0.1/tsrc/Makefile ===
#
# Makefile
#

regtest:
	./test.sh all

clean:
	@rm -f *.new test?.lis error1.rsc error1.rsg
