=== tools/makesis-2.0.0/debian/changelog ===
makesis (2.0.0-1) unstable; urgency=low

  * Initial Release.

 -- Alfred E. Heggestad <alfredh@symbianos.org>  Sun, 20 Jul 2003 13:28:12 +0200
