=== tools/petran-1.1.0/debian/changelog ===
petran (1.0.0-1) unstable; urgency=low

  * Initial Release.

 -- Alfred E. Heggestad <alfredh@sxdesign.com>  Sun, 21 Dec 2003 02:24:26 +0100
